> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# IP Allow Lists

Manage account-level IP Allow Lists that restrict access to your PagerDuty subdomain to a configured set of IPv4 CIDR ranges. Enforcement currently applies to web and mobile application traffic.

- [List IP allow lists](https://docs.pagerduty.com/developer/api/reference/rest/ip-allow-lists/list-ip-allow-lists.md) — `GET /ip_allow_lists`
- [Create an IP allow list](https://docs.pagerduty.com/developer/api/reference/rest/ip-allow-lists/create-ip-allow-list.md) — `POST /ip_allow_lists`
- [Get an IP allow list](https://docs.pagerduty.com/developer/api/reference/rest/ip-allow-lists/get-ip-allow-list.md) — `GET /ip_allow_lists/{id}`
- [Delete an IP allow list](https://docs.pagerduty.com/developer/api/reference/rest/ip-allow-lists/delete-ip-allow-list.md) — `DELETE /ip_allow_lists/{id}`
- [Update an IP allow list](https://docs.pagerduty.com/developer/api/reference/rest/ip-allow-lists/update-ip-allow-list.md) — `PUT /ip_allow_lists/{id}`
- [List audit records for an IP allow list](https://docs.pagerduty.com/developer/api/reference/rest/ip-allow-lists/list-ip-allow-list-audit-records.md) — `GET /ip_allow_lists/{id}/audit/records`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
